<?php

# 定义几个常用的选项
$option = array
(
    1 => '显示',
    2 => '不显示',
);

$type = Dever::db('push/info')->config['func'];
$type = $type();

$list = function()
{
    return Dever::db('push/info')->state();
};
$info = Dever::input('search_option_info_id', 1);
Dever::setInput('search_option_info_id', $info);
$type_default = -1;

$data = array
(
    1 => '内容自定义',
);

$data_update = array();

if ($info) {
    $info = Dever::db('push/info')->one($info);

    if (!$info) {
        return;
    }
    $function = explode(',', $info['func']);
    
    $type_id = array();
    foreach ($type as $k => $v) {
        if (!in_array($v['id'], $function)) {
            unset($type[$k]);
        } else {
            $type_default = $v['id'];
            if ($v['id'] > 0) {
            	$type_id[] = $v['id'];
            }
        }
    }

    $type_id = implode(',', $type_id);

    $info['name'] .= '下的推送数据管理';

    $col = Dever::db('push/col')->getAll(array('id' => $info['col']));

    if ($col) {
        $pic_index = 0;
        if ($info['col_pic']) {
            $pic = $info['col_pic'];
            $pic_temp = explode("\r\n", $pic);
        }
        
    	foreach ($col as $k => $v) {

            $place = $v['pic'];
            if ($info['col_pic'] && isset($pic_temp[$pic_index]) && $pic_temp[$pic_index]) {
                $place = $pic_temp[$pic_index];
            }
    		
    		if ($v['type'] == 1) {
    			$update_type = 'text';
    		} elseif ($v['type'] == 2) {
    			$update_type = 'textarea';
    		} elseif ($v['type'] == 3) {
    			$update_type = 'editor';
    		} elseif ($v['type'] == 4) {
    			$update_type = 'image';
                $pic_index++;
    		} elseif ($v['type'] == 5) {
    			$update_type = 'images';
                $pic_index++;
    		} elseif ($v['type'] == 6) {
    			$update_type = 'radio';
    		} elseif ($v['type'] == 7) {
    			$update_type = 'checkbox';
    		} elseif ($v['type'] == 8) {
    			$update_type = 'day';
    		}
    		$data_update[] = array
	        (
	            'col'       => 'col_' . $v['id'],
	            'name'      => $v['name'],
	            'default'   => '',
	            'desc'      => $v['name'],
	            'match'     => 'is_string',
	            'update'    => $update_type,
	            'place'     => $place,
	            'key'       => 1,
	        );
    	}
    }

} else {
    $info = array();
    $info['name'] = '推送数据管理';
    $type_id = '0';
}


return array
(
    # 表名
    'name' => 'data',
    # 显示给用户看的名称
    'lang' => $info['name'],
    'order' => 20,
    //'menu' => false,

    //'desc' => '预览地址：<br /><iframe id="preview" height="'.$preview_height.'" width="100%"  frameborder="no" border="0" marginwidth="0" marginheight="0" scrolling="no" allowtransparency="yes" src="'.$preview.'" ></iframe>',

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'search'  => 'order',
            'order'     => 'desc',
            //'list'        => true,
        ),

        'info_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属推送位',
            'default'   => Dever::input('search_option_info_id', '1'),
            'desc'      => '推送位',
            'match'     => 'is_numeric',
            'search'    => 'select',
            'update'    => 'hidden',
            'option'    => $list,
            'list'      => true,
            'value'     => Dever::input('search_option_info_id', '1'),
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '功能类型',
            'default'   => ''.$type_default.'',
            'desc'      => '请选择功能类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'search'    => 'select',
            'option'    => $type,
            'control'   => 'type',
        ),

        'type_id'     => array
        (
            'type'      => 'int-11',
            'name'      => '关联数据',
            'default'   => '',
            'desc'      => '关联数据',
            'match'     => 'option',
            'update'    => 'select',
            'show'      => 'type=' . $type_id,
            'update_search' => 'push/lib/manage.search?{type}',
        ),

        'data'       => array
        (
            'type'      => 'text-1000',
            'name'      => '自定义数据项',
            'default'   => '',
            'desc'      => '自定义数据项',
            'match'     => 'is_string',
            'option'    => $data,
            'update'    => $data_update,
            'list'      => 'Dever::load("push/lib/manage.show", {id})',
        ),
        
        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    # request 请求接口定义
    'request' => array
    (
        # 获取列表页
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'type_no' => array('yes-type', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'limit' => '0,10',
            'col' => '*',
        ),

        # 获取列表页 带有分页的
        'getAllPage' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'type_no' => array('yes-type', '!='),
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc', 'id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => '*',
        ),
    ),
);