<?php

$func = function()
{
    $array = array
    (
        -1 => array('id' => '-1', 'name' => '自定义',),
    );
    $info = Dever::db('push/func')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

$col = function()
{
    $array = array
    (
        
    );
    $info = Dever::db('push/col')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
    # 表名
    'name' => 'info',
    # 显示给用户看的名称
    'lang' => '推送位管理',
    'order' => 10,
    'check' => 'key',
    'func' => $func,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => '推送位ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'search'  => 'order',
            'order'     => 'desc',
            //'list'        => true,
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-60',
            'name'      => '推送位标题',
            'default'   => '',
            'desc'      => '请输入推送位标题',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'key'       => array
        (
            'type'      => 'varchar-60',
            'name'      => '推送位标识',
            'default'   => '',
            'desc'      => '推送位标识',
            'match'     => 'is_string',
            'update'    => Dever::input('where_id') ? 'hidden' : 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'num'       => array
        (
            'type'      => 'int-11',
            'name'      => '数据显示条数-为空或小于0则取默认值10，只对前台有效，当有分页时，则为每页显示的条数',
            'default'   => '10',
            'desc'      => '数据显示条数',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
            'edit'      => true,
        ),

        'func'       => array
        (
            'type'      => 'varchar-300',
            'name'      => '功能类型',
            'default'   => '',
            'desc'      => '功能类型',
            'match'     => 'is_string',
            'option'    => $func,
            'update'    => 'checkbox',
        ),

        'col'       => array
        (
            'type'      => 'varchar-300',
            'name'      => '启用的字段',
            'default'   => '',
            'desc'      => '请选择启用的字段',
            'match'     => 'is_string',
            'option'    => $col,
            'update'    => 'checkbox',
        ),

        'col_pic'       => array
        (
            'type'      => 'varchar-500',
            'name'      => '图片尺寸提醒-请直接输入提醒的文字即可，如100*100，如果有多个图片字段，请用换行隔开',
            'default'   => '',
            'desc'      => '图片尺寸提醒',
            'match'     => 'option',
            'update'    => 'textarea',
        ),
        
        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'        => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    # 权限精细控制 加入到该项目的详细权限中，注意与top的不同
    /*
    'auth' => array
    (
        # 数据来源
        'data' => 'all',
        # 所属项目
        'project' => 'module',
        # 项目名称
        'project_name' => '推送位管理',
    ),
    */

    'manage' => array
    (
        'delete' => false,
        //'edit' => false,
        //'insert' => $curPage ? true : false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            //'新增兑换码' => array('fast', 1, 'config&where_id=1'),
            '字段配置' => array('list', 'col&project=push&oper_parent=info&oper_project=push'),
            '功能配置' => array('list', 'func&project=push&oper_parent=info&oper_project=push'),
        ),

        'list_button' => array
        (
            'add' => array('新增数据', '"data&search_option_info_id={id}&oper_parent=info"'),

            'list' => array('数据列表', '"data&search_option_info_id={id}&oper_parent=info"'),
        ),
    ),

    # request 请求接口定义
    'request' => array
    (
        # 获取列表页
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'type' => 'yes',
                //'page_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('reorder' => 'desc'),
            'col' => '*',
        ),
    ),
);