<?php

$col = function()
{
    $array = array
    (
        -1 => array('id' => '-1', 'name' => '请选择字段',),
    );
    $info = Dever::db('push/col')->state();
    if($info)
    {
        $array += $info;
    }
    return $array;
};

return array
(
	# 表名
	'name' => 'func',
	# 显示给用户看的名称
	'lang' => '功能设置',
	# 后台菜单排序
	'order' => 2,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '功能名称',
			'default' 	=> '',
			'desc' 		=> '功能名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'api'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '功能接口-可以直接输入http接口地址，也可以使用dever接口，如果接口返回一条数据，就为单条，如果是多条，就是列表',
			'default' 	=> '',
			'desc' 		=> '功能接口',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'col'       => array
        (
            'type'      => 'text-1000',
            'name'      => '关联字段',
            'default'   => '',
            'desc'      => '关联字段',
            'match'     => 'is_string',
            'update'    => array
            (
                array
                (
                    'col'       => 'name',
                    'name'      => '接口原始字段名-输入上述功能接口返回的原始字段的名字',
                    'default'   => '',
                    'desc'      => '接口原始字段名',
                    'match'     => 'is_string',
                    'update'    => 'text',
                ),

                array
                (
                    'col'       => 'col_id',
                    'name'      => '关联的字段',
                    'default'   => '',
                    'desc'      => '关联的字段',
                    'match'     => 'is_numeric',
                    'update'    => 'select',
                    'option'    => $col,
                ),
            ),
        ),
		
		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),

	'request' => array
	(
		'state' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'col' => '*|id',
		),
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
				# 小程序去掉视频栏目
				'id_no' => array('yes-id', '!='),
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc','id' => 'desc'),
			'col' => '*',
		),
	),
);
